	.386
	.model	use32 small

	extrn allerrl: PROC
	public	_atanl
	.data
nm	db	"atanl",0

	.code
_atanl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	tbyte ptr [ecx]
	fld1
	fpatan
	sub	edx,edx
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end